%% Is the behavior different with nested functions?

function f_6 (s)
  %% what variables are visible here?
  whos
  %% we'll eval an expression that creates X and Y
  eval (s)
  %% what variables are visible here?
  whos
  function nest ()
    %% does eval find the X dynamically?
    eval ('x')
    %% what about an explicit reference?
    x
  end
  nest ()
  %% Is the behavior different if there is an
  %% explicit reference to X in the parent scope?
  x
end
